View Issue Details

IDProjectCategoryView StatusLast Update
0003626SOGoActiveSyncpublic2016-04-14 15:25
Reporterjwemp Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.2 
Fixed in Version2.3.11 
Summary0003626: Display of HTML Messages
Description

Since applying the nightly 3.0.2.20160408-1 mail in Outlook using activesync is not displayed correctly, mail is displayed correctly on iPhone using activesync.

Example

=title>Maple Family Health Team Backup Report - Maple Family Heal=h Team - software@maplefht.ca - Smart File Scanner: backup Error=- 4/8/2016 11:29:45 AM
Smart File Scanner Account sof=ware@maplefht.ca Event Type No backup 3 da=(s) Backup S=t N/A Backup Duration N/A Uploaded Files N/A =/tr> Files With Errors =td style="border-bottom:1px solid #ccc;font-size:11px; backgro=nd:#F6F6F6;padding:3px">0 Unchanged Files =/A Event Dat= 04/08/2016 11:29 AM =/tr>

and

Jim: spoke to Patti today and we think it is =ood for her to be back here in my space by the coffee machine. We =ould keep the printer where it is. Will that work?? Just =et me know when you would be bringing the stuff by so I can have the =rea ready for install.
Thanks, =o:p>

Bonnie =eima
Office Manager,
Willow Family =hysicians
(Maple Family Health =eam)
325 University =venue

TagsNo tags attached.

Activities

francis

francis

2016-04-08 14:43

administrator   ~0009945

Attach raw source of message and screenshots.

jwemp

jwemp

2016-04-08 15:09

reporter  

Capture1.PNG (16,654 bytes)   
Capture1.PNG (16,654 bytes)   
jwemp

jwemp

2016-04-08 15:09

reporter  

Capture2.PNG (15,300 bytes)   
Capture2.PNG (15,300 bytes)   
jwemp

jwemp

2016-04-08 15:09

reporter  

email.txt (3,633 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://=ww.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xml=s="http://www.w3.org/1999/xhtml">
<head>
<meta http-=quiv="Content-Type" content="text/html; charset=utf-8" />
=title>Maple Family Health Team Backup Report - Maple Family Heal=h Team - software@maplefht.ca - Smart File Scanner: backup Error=- 4/8/2016 11:29:45 AM</title>
</head>
<body>
<ta=le width="100%" style="border:1px solid #ccc; border-collaps=:collapse; font-family:Tahoma, Geneva, sans-serif;" cellpadding==0" cellspacing="0">
<tr>
<td style="border-bottom:=px solid #ccc;font-size:16px;background:#993333; padding:3px; co=or:#fff;" colspan="2"><strong>LINDA-PC</strong> </td>
</t=>
<tr>
<td style="border-bottom:1px solid #ccc;font-=ize:11px; background:#F6F6F6; border-right:1px solid #ccc;paddin=:3px; width:200px; font-weight:bold;">Entity Name</td>
<td =tyle="border-bottom:1px solid #ccc;font-size:11px; background:=F6F6F6;padding:3px">Maple Family Health Team</td>
</tr>
=tr>
<td style="border-bottom:1px solid #ccc;font-size:11p=; background:#F6F6F6; border-right:1px solid #ccc;padding:3px; w=dth:200px; font-weight:bold;">Backup Type</td>
<td style==border-bottom:1px solid #ccc;font-size:11px; background:#F6F6F6;=adding:3px">Smart File Scanner</td>
</tr>
<tr>
<t= style="border-bottom:1px solid #ccc;font-size:11px; backgroun=:#F6F6F6; border-right:1px solid #ccc;padding:3px; width:200px; =ont-weight:bold;">Account</td>
<td style="border-bottom:1=x solid #ccc;font-size:11px; background:#F6F6F6;padding:3px">sof=ware@maplefht.ca</td>
</tr>
<tr>
<td style="bor=er-bottom:1px solid #ccc;font-size:11px; background:#F6F6F6; bor=er-right:1px solid #ccc;padding:3px; width:200px; font-weight:bo=d;">Event Type</td>
<td style="border-bottom:1px solid #c=c;font-size:11px; background:#F6F6F6;padding:3px">No backup 3 da=(s)</td>
</tr>
<tr>
<td style="border-bottom:1p= solid #ccc;font-size:11px; background:#F6F6F6; border-right:1px=solid #ccc;padding:3px; width:200px; font-weight:bold;">Backup S=t</td>
<td style="border-bottom:1px solid #ccc;font-size:=1px; background:#F6F6F6;padding:3px">N/A</td>
</tr>
<t=>
<td style="border-bottom:1px solid #ccc;font-size:11px;=background:#F6F6F6; border-right:1px solid #ccc;padding:3px; wid=h:200px; font-weight:bold;">Backup Duration</td>
<td style==border-bottom:1px solid #ccc;font-size:11px; background:#F6F6F6;=adding:3px">N/A</td>
</tr>
<tr>
<td style="bord=r-bottom:1px solid #ccc;font-size:11px; background:#F6F6F6; bord=r-right:1px solid #ccc;padding:3px; width:200px; font-weight:bol=;">Uploaded Files</td>
<td style="border-bottom:1px solid=#ccc;font-size:11px; background:#F6F6F6;padding:3px">N/A</td>
=/tr>
<tr>
<td style="border-bottom:1px solid #ccc;fo=t-size:11px; background:#F6F6F6; border-right:1px solid #ccc;pad=ing:3px; width:200px; font-weight:bold;">Files With Errors</td>
=td style="border-bottom:1px solid #ccc;font-size:11px; backgro=nd:#F6F6F6;padding:3px">0</td>
</tr>
<tr>
<td sty=e="border-bottom:1px solid #ccc;font-size:11px; background:#F6=6F6; border-right:1px solid #ccc;padding:3px; width:200px; font-=eight:bold;">Unchanged Files</td>
<td style="border-botto=:1px solid #ccc;font-size:11px; background:#F6F6F6;padding:3px">=/A</td>
</tr>
<tr>
<td style="border-bottom:1px=solid #ccc;font-size:11px; background:#F6F6F6; border-right:1px =olid #ccc;padding:3px; width:200px; font-weight:bold;">Event Dat=</td>
<td style="border-bottom:1px solid #ccc;font-size:1=px; background:#F6F6F6;padding:3px">04/08/2016 11:29 AM</td>
=/tr>
</table>
</body>
</html>


email.txt (3,633 bytes)   
jwemp

jwemp

2016-04-08 15:09

reporter  

email2.txt (6,796 bytes)   
<html xmlns:v="urn:schemas-microsoft-com:vml" =mlns:o="urn:schemas-microsoft-com:office:office" =mlns:w="urn:schemas-microsoft-com:office:word" =mlns:dt="uuid:C2F41010-65B3-11d1-A29F-00AA00C14882" =mlns:m="http://schemas.microsoft.com/office/2004/12/omml" =mlns="http://www.w3.org/TR/REC-html40"><head><meta name="Microsoft =heme 2.00" content="axis 011"><meta http-equiv=Content-Type =ontent="text/html; charset=us-ascii"><meta name=Generator =ontent="Microsoft Word 14 (filtered medium)"><style><!--
/* Font Definitions */
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
@font-face
	{font-family:Verdana;
	panose-1:2 11 6 4 3 5 4 4 2 4;}
@font-face
	{font-family:"Comic Sans MS";
	panose-1:3 15 7 2 3 3 2 2 2 4;}
@font-face
	{font-family:"Bradley Hand ITC";
	panose-1:3 7 4 2 5 3 2 3 2 3;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0cm;
	margin-bottom:.0001pt;
	font-size:12.0pt;
	font-family:"Verdana","sans-serif";
	color:black;
	mso-fareast-language:EN-US;}
h1
	{mso-style-priority:9;
	mso-style-link:"Heading 1 Char";
	margin-top:24.0pt;
	margin-right:0cm;
	margin-bottom:0cm;
	margin-left:0cm;
	margin-bottom:.0001pt;
	page-break-after:avoid;
	font-size:16.0pt;
	font-family:"Verdana","sans-serif";
	color:black;
	mso-fareast-language:EN-US;}
h2
	{mso-style-priority:9;
	mso-style-link:"Heading 2 Char";
	margin-top:10.0pt;
	margin-right:0cm;
	margin-bottom:0cm;
	margin-left:0cm;
	margin-bottom:.0001pt;
	page-break-after:avoid;
	font-size:14.0pt;
	font-family:"Verdana","sans-serif";
	color:black;
	mso-fareast-language:EN-US;
	font-weight:normal;}
h3
	{mso-style-priority:9;
	mso-style-link:"Heading 3 Char";
	margin-top:10.0pt;
	margin-right:0cm;
	margin-bottom:0cm;
	margin-left:0cm;
	margin-bottom:.0001pt;
	page-break-after:avoid;
	font-size:13.0pt;
	font-family:"Verdana","sans-serif";
	color:black;
	mso-fareast-language:EN-US;
	font-weight:normal;}
h4
	{mso-style-priority:9;
	mso-style-link:"Heading 4 Char";
	margin-top:10.0pt;
	margin-right:0cm;
	margin-bottom:0cm;
	margin-left:0cm;
	margin-bottom:.0001pt;
	page-break-after:avoid;
	font-size:14.0pt;
	font-family:"Verdana","sans-serif";
	color:black;
	mso-fareast-language:EN-US;
	font-weight:normal;}
h5
	{mso-style-priority:9;
	mso-style-link:"Heading 5 Char";
	margin-top:10.0pt;
	margin-right:0cm;
	margin-bottom:0cm;
	margin-left:0cm;
	margin-bottom:.0001pt;
	page-break-after:avoid;
	font-size:13.0pt;
	font-family:"Verdana","sans-serif";
	color:black;
	mso-fareast-language:EN-US;
	font-weight:normal;}
h6
	{mso-style-priority:9;
	mso-style-link:"Heading 6 Char";
	margin-top:10.0pt;
	margin-right:0cm;
	margin-bottom:0cm;
	margin-left:0cm;
	margin-bottom:.0001pt;
	page-break-after:avoid;
	font-size:11.0pt;
	font-family:"Verdana","sans-serif";
	color:black;
	mso-fareast-language:EN-US;
	font-weight:normal;}
a:link, span.MsoHyperlink
	{mso-style-priority:99;
	color:#339933;
	text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{mso-style-priority:99;
	color:#996600;
	text-decoration:underline;}
span.EmailStyle17
	{mso-style-type:personal-compose;
	color:black;}
span.Heading1Char
	{mso-style-name:"Heading 1 Char";
	mso-style-priority:9;
	mso-style-link:"Heading 1";
	font-family:"Verdana","sans-serif";
	color:black;
	font-weight:bold;}
span.Heading2Char
	{mso-style-name:"Heading 2 Char";
	mso-style-priority:9;
	mso-style-link:"Heading 2";
	font-family:"Verdana","sans-serif";
	color:black;}
span.Heading3Char
	{mso-style-name:"Heading 3 Char";
	mso-style-priority:9;
	mso-style-link:"Heading 3";
	font-family:"Verdana","sans-serif";
	color:black;}
span.Heading4Char
	{mso-style-name:"Heading 4 Char";
	mso-style-priority:9;
	mso-style-link:"Heading 4";
	font-family:"Verdana","sans-serif";
	color:black;}
span.Heading5Char
	{mso-style-name:"Heading 5 Char";
	mso-style-priority:9;
	mso-style-link:"Heading 5";
	font-family:"Verdana","sans-serif";
	color:black;}
span.Heading6Char
	{mso-style-name:"Heading 6 Char";
	mso-style-priority:9;
	mso-style-link:"Heading 6";
	font-family:"Verdana","sans-serif";
	color:black;}
.MsoChpDefault
	{mso-style-type:export-only;
	font-family:"Calibri","sans-serif";
	mso-fareast-language:EN-US;}
@page WordSection1
	{size:612.0pt 792.0pt;
	margin:72.0pt 72.0pt 72.0pt 72.0pt;}
div.WordSection1
	{page:WordSection1;}
--></style><!--[if gte mso 9]><xml>
<o:shapedefaults v:ext="edit" spidmax="1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
<o:shapelayout v:ext="edit">
<o:idmap v:ext="edit" data="1" />
</o:shapelayout></xml><![endif]--></head><body bgcolor=white =ackground="cid:image001.gif@01D19184.B7836FD0" lang=EN-CA =ink="#339933" vlink="#996600"><img =rc="cid:image001.gif@01D19184.B7836FD0" =:src="cid:image001.gif@01D19184.B7836FD0" v:shapes="_x0000_Mail" =idth=0 height=0 class=shape =tyle='display:none;width:0;height:0'><!--[if gte mso 9]><xml>
<v:background id="_x0000_s1025" o:bwmode="white" =:targetscreensize="1024,768">
<v:fill src="cid:image001.gif@01D19184.B7836FD0" o:title="axibkgnd" =ype="frame" />
</v:background></xml><![endif]--><div class=WordSection1><p =lass=MsoNormal>Jim:&nbsp; spoke to Patti today and we think it is =ood for her to be back here in my space by the coffee machine.&nbsp; We =ould keep the printer where it is.&nbsp; Will that work??&nbsp; Just =et me know when you would be bringing the stuff by so I can have the =rea ready for install.<o:p></o:p></p><p class=MsoNormal>Thanks, =o:p></o:p></p><p class=MsoNormal><o:p>&nbsp;</o:p></p><p =lass=MsoNormal><span style='font-size:14.0pt;font-family:"Bradley =and ITC";mso-fareast-language:EN-CA'>Bonnie =eima<o:p></o:p></span></p><p class=MsoNormal><span =tyle='font-size:10.0pt;font-family:"Comic Sans =S";mso-fareast-language:EN-CA'>Office Manager</span><span =tyle='font-size:11.0pt;font-family:"Comic Sans =S";mso-fareast-language:EN-CA'>, </span><span =tyle='font-size:10.0pt;font-family:"Comic Sans =S";mso-fareast-language:EN-CA'><o:p></o:p></span></p><p =lass=MsoNormal><span style='font-size:10.0pt;font-family:"Comic =ans MS";mso-fareast-language:EN-CA'>Willow Family =hysicians<o:p></o:p></span></p><p class=MsoNormal><span =tyle='font-size:10.0pt;font-family:"Comic Sans =S";mso-fareast-language:EN-CA'>(Maple Family Health =eam)<o:p></o:p></span></p><p class=MsoNormal><span =tyle='font-size:10.0pt;font-family:"Comic Sans =S";mso-fareast-language:EN-CA'>325 University =venue<o:p></o:p></span></p><p class=MsoNormal><span =tyle='font-size:10.0pt;font-family:"Comic Sans =S";mso-fareast-language:EN-CA'>Kingston, On&nbsp;&nbsp; K7L =R4<o:p></o:p></span></p><p class=MsoNormal><span =tyle='font-size:10.0pt;font-family:"Comic Sans =S";mso-fareast-language:EN-CA'>(613)-544-2902<o:p></o:p></span></p><p =lass=MsoNormal><o:p>&nbsp;</o:p></p><p =lass=MsoNormal><o:p>&nbsp;</o:p></p></div></body></html
email2.txt (6,796 bytes)   
jwemp

jwemp

2016-04-08 15:10

reporter   ~0009948

Files are uploaded

tfu

tfu

2016-04-08 15:12

reporter   ~0009949

I haven't tested but this migth be caused this commit:
https://github.com/inverse-inc/sogo/commit/5d26175d562d1333c727d5c86104510b82dae9a3

ludovic

ludovic

2016-04-13 11:57

administrator   ~0009973

Please attach the EML version of the email, not a part of it.

jwemp

jwemp

2016-04-14 07:40

reporter  

sogo.zip (3,512 bytes)
jwemp

jwemp

2016-04-14 07:42

reporter   ~0009980

ludovic

I've uploaded a zip file with multiple examples in it, including some sent to the user list of which you'll have your own copies. I have been forced to downgrade to the more stable and function version 2.

ludovic

ludovic

2016-04-14 15:25

administrator   ~0009985

2.3.11 and 3.0.3 will have the fix.

Related Changesets

sogo: master 4ec0615b

2016-04-14 15:21:49

ludovic

Details Diff
(fix) encore CR for EAS (fixes 0003626) Affected Issues
0003626
mod - ActiveSync/NSString+ActiveSync.m Diff File
mod - SoObjects/SOGo/NSString+Utilities.h Diff File
mod - SoObjects/SOGo/NSString+Utilities.m Diff File

sogo: v2 012ac98b

2016-04-14 15:21:49

ludovic

Details Diff
(fix) encore CR for EAS (fixes 0003626) Affected Issues
0003626
mod - ActiveSync/NSString+ActiveSync.m Diff File
mod - SoObjects/SOGo/NSString+Utilities.h Diff File
mod - SoObjects/SOGo/NSString+Utilities.m Diff File

Issue History

Date Modified Username Field Change
2016-04-08 14:42 jwemp New Issue
2016-04-08 14:43 francis Note Added: 0009945
2016-04-08 15:09 jwemp File Added: Capture1.PNG
2016-04-08 15:09 jwemp File Added: Capture2.PNG
2016-04-08 15:09 jwemp File Added: email.txt
2016-04-08 15:09 jwemp File Added: email2.txt
2016-04-08 15:10 jwemp Note Added: 0009948
2016-04-08 15:12 tfu Note Added: 0009949
2016-04-13 11:57 ludovic Note Added: 0009973
2016-04-14 07:40 jwemp File Added: sogo.zip
2016-04-14 07:42 jwemp Note Added: 0009980
2016-04-14 15:23 ludovic Changeset attached => sogo master 4ec0615b
2016-04-14 15:23 ludovic Assigned To => ludovic
2016-04-14 15:23 ludovic Resolution open => fixed
2016-04-14 15:24 ludovic Changeset attached => sogo v2 012ac98b
2016-04-14 15:25 ludovic Note Added: 0009985
2016-04-14 15:25 ludovic Status new => resolved
2016-04-14 15:25 ludovic Fixed in Version => 2.3.11